
package de.ivu.elect.presentation.gebietsbaum.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.boundary.GebietsartChangeEvent;
import de.ivu.elect.business.gebietsbaum.boundary.GebietsartConversationSelect;
import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractGebietsartAction extends AbstractActionEntry<Gebietsart> {

  private static final long serialVersionUID = 1L;

  @Inject
  protected GebietsartConversationSelect conversationSelect;

  @Override
  protected boolean isDisabledInternal(@Nonnull Gebietsart gebietsart) {
    return false;
  }

  @Inject
  protected GebietsartChangeEvent changeEvent;

  public AbstractGebietsartAction() {
    super();
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }
}
